using Microsoft.EntityFrameworkCore.Migrations;

#nullable disable

namespace CocktailWeb.Migrations
{
    /// <inheritdoc />
    public partial class ModifyCocktailAddErstellerCounter : Migration
    {
        /// <inheritdoc />
        protected override void Up(MigrationBuilder migrationBuilder)
        {
            migrationBuilder.AddColumn<int>(
                name: "Counter",
                table: "Cocktails",
                type: "INTEGER",
                nullable: false,
                defaultValue: 0);

            migrationBuilder.AddColumn<string>(
                name: "Ersteller",
                table: "Cocktails",
                type: "TEXT",
                nullable: true);
        }

        /// <inheritdoc />
        protected override void Down(MigrationBuilder migrationBuilder)
        {
            migrationBuilder.DropColumn(
                name: "Counter",
                table: "Cocktails");

            migrationBuilder.DropColumn(
                name: "Ersteller",
                table: "Cocktails");
        }
    }
}
